AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
ReceiveTextCommand Class
ReceiveTextCommand Constructor
ReceiveTextCommand Methods
ReceiveTextCommand Properties

| ReceiveTextCommand Class

Receives a string of text on a channel.
Specify timeout to be the maximum time to wait for input in milliseconds, or 0 for infinite.
Most channels do not support the reception of text.
Returns -1 for failure or 1 for success, and the string in parentheses.
Available since Asterisk 1.2.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
ReceiveTextCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ReceiveTextCommand : AGICommand

    Public Class ReceiveTextCommand
    	Inherits AGICommand

    public ref class ReceiveTextCommand : public AGICommand

    type ReceiveTextCommand =
        class
            inherit AGICommand
        end

The ReceiveTextCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ReceiveTextCommand | Creates a new ReceiveTextCommand with a default timeout of 0 meaning to wait for ever.
| ReceiveTextCommand(Int32) | Creates a new ReceiveTextCommand. the milliseconds to wait for the channel to receive the text.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Timeout | Get/Set the milliseconds to wait for the channel to receive the text.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace